summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNirbheek Chauhan <nirbheek.chauhan@gmail.com>2008-10-30 16:42:39 +0530
committerNirbheek Chauhan <nirbheek.chauhan@gmail.com>2008-10-30 16:42:39 +0530
commitdc0336ed88938e3d3fa9f77202c73f8f960adc98 (patch)
treeb0500f8e0d7419077d7846c999fc84b83e349600
parentb051462f7d285931963bfc523b19ae0849878fc2 (diff)
app-crypt/seahorse and app-crypt/seahorse-plugins
- Move (after editing) the live ebuilds from gnome.git - Edit gnome2-live.eclass to use MODPATH instead of ESVN_REPO_URI
-rw-r--r--app-crypt/seahorse-plugins/Manifest2
-rw-r--r--app-crypt/seahorse-plugins/files/70-seahorse-agent8
-rw-r--r--app-crypt/seahorse-plugins/seahorse-plugins-9999.ebuild72
-rw-r--r--app-crypt/seahorse/Manifest1
-rw-r--r--app-crypt/seahorse/seahorse-9999.ebuild59
-rw-r--r--eclass/gnome2-live.eclass5
6 files changed, 146 insertions, 1 deletions
diff --git a/app-crypt/seahorse-plugins/Manifest b/app-crypt/seahorse-plugins/Manifest
new file mode 100644
index 0000000..86dfe67
--- /dev/null
+++ b/app-crypt/seahorse-plugins/Manifest
@@ -0,0 +1,2 @@
+AUX 70-seahorse-agent 241 RMD160 d28490016ed259ef29416cb101ccddd76e195ed5 SHA1 2b40525f543741dc0a453a8241e3b7c83f45da6f SHA256 2e70cbb034fde8ddd5c69baf97570ad706bec2e04bd7dd2c86f462b9a594e3c6
+EBUILD seahorse-plugins-9999.ebuild 1770 RMD160 74305a605e49b0e198be08fc5e44dcc0522a98cb SHA1 14b41c806e8a063a5ba0ea2708e2d50fe9564be7 SHA256 f02d98557a42603fd7a11f7a0c6dc2c9d56e58de64cdc2e29a55b274290d0f50
diff --git a/app-crypt/seahorse-plugins/files/70-seahorse-agent b/app-crypt/seahorse-plugins/files/70-seahorse-agent
new file mode 100644
index 0000000..492878e
--- /dev/null
+++ b/app-crypt/seahorse-plugins/files/70-seahorse-agent
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+# launches a seahorse-agent instance
+
+seahorseagent=`which seahorse-agent 2> /dev/null`
+if [ -n "$seahorseagent" ] && [ -x "$seahorseagent" ] && [ -z "$GPG_AGENT_INFO" ] ; then
+ command="$seahorseagent --execute $command"
+fi
diff --git a/app-crypt/seahorse-plugins/seahorse-plugins-9999.ebuild b/app-crypt/seahorse-plugins/seahorse-plugins-9999.ebuild
new file mode 100644
index 0000000..803611a
--- /dev/null
+++ b/app-crypt/seahorse-plugins/seahorse-plugins-9999.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+MODPATH="seahorse/${PN}/trunk"
+
+inherit gnome2 gnome2-live
+
+DESCRIPTION="A GNOME application for managing encryption keys"
+HOMEPAGE="http://www.gnome.org/projects/seahorse/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="applet debug epiphany gedit libnotify nautilus test xulrunner"
+
+RDEPEND="
+ >=gnome-base/libglade-2.0
+ >=gnome-base/gconf-2.0
+ >=x11-libs/gtk+-2.10
+ >=dev-libs/glib-2.16
+ || (
+ =app-crypt/gnupg-1.4*
+ =app-crypt/gnupg-2.0* )
+ >=app-crypt/gpgme-1.0.0
+ nautilus? ( >=gnome-base/nautilus-2.12 )
+ >=gnome-base/gnome-keyring-2.23.6
+ >=dev-libs/dbus-glib-0.72
+ epiphany? (
+ >=www-client/epiphany-2.22
+ xulrunner? ( =net-libs/xulrunner-1.8* )
+ !xulrunner? ( =www-client/mozilla-firefox-2* )
+ >=dev-libs/libxml2-2.6.0 )
+ gedit? ( >=app-editors/gedit-2.16 )
+ applet? ( >=gnome-base/gnome-panel-2.10 )
+ >=app-crypt/seahorse-2.23.92
+ libnotify? ( >=x11-libs/libnotify-0.3.2 )
+ >=gnome-extra/evolution-data-server-1.8"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ >=app-text/gnome-doc-utils-0.3.2
+ >=app-text/scrollkeeper-0.3
+ >=dev-util/pkgconfig-0.20
+ >=dev-util/intltool-0.35"
+
+pkg_setup() {
+ if use epiphany ; then
+ if use xulrunner ; then
+ G2CONF="${G2CONF} --with-gecko=xulrunner"
+ else
+ G2CONF="${G2CONF} --with-gecko=firefox"
+ fi
+ fi
+
+ G2CONF="${G2CONF}
+ --enable-agent
+ --disable-update-mime-database
+ $(use_enable applet)
+ $(use_enable debug)
+ $(use_enable epiphany)
+ $(use_enable gedit)
+ $(use_enable libnotify)
+ $(use_enable nautilus)
+ $(use_enable test tests)"
+}
+
+src_install() {
+ gnome2_src_install
+
+ exeinto /etc/X11/xinit/xinitrc.d/
+ doexe "${FILESDIR}/70-seahorse-agent" || die "doexe failed"
+}
diff --git a/app-crypt/seahorse/Manifest b/app-crypt/seahorse/Manifest
new file mode 100644
index 0000000..a523398
--- /dev/null
+++ b/app-crypt/seahorse/Manifest
@@ -0,0 +1 @@
+EBUILD seahorse-9999.ebuild 1417 RMD160 156b9ccaa3e49205990269c8ee5fa2d406b66bb4 SHA1 bb521507300370162e535d57cad04ff8c5a89ef5 SHA256 289f69e6cf1eddac35c22d7fc9db8afab2e02b3435d47e54ad9ada2bce788ac5
diff --git a/app-crypt/seahorse/seahorse-9999.ebuild b/app-crypt/seahorse/seahorse-9999.ebuild
new file mode 100644
index 0000000..3142995
--- /dev/null
+++ b/app-crypt/seahorse/seahorse-9999.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="1"
+
+inherit eutils gnome2 gnome2-live
+
+DESCRIPTION="A GNOME application for managing encryption keys"
+HOMEPAGE="http://www.gnome.org/projects/seahorse/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="avahi debug ldap libnotify"
+
+RDEPEND=">=gnome-base/libglade-2.0
+ >=gnome-base/gconf-2.0
+ >=dev-libs/glib-2.10
+ >=x11-libs/gtk+-2.10
+ net-libs/libsoup:2.4
+ || (
+ =app-crypt/gnupg-1.4*
+ =app-crypt/gnupg-2.0* )
+ >=app-crypt/gpgme-1.0.0
+ net-misc/openssh
+ avahi? ( >=net-dns/avahi-0.6 )
+ >=dev-libs/dbus-glib-0.72
+ >=gnome-base/gnome-keyring-2.23.6
+ ldap? ( net-nds/openldap )
+ libnotify? ( >=x11-libs/libnotify-0.3.2 )
+ x11-misc/shared-mime-info"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ >=app-text/gnome-doc-utils-0.3.2
+ >=app-text/scrollkeeper-0.3
+ >=dev-util/pkgconfig-0.20
+ >=dev-util/intltool-0.35"
+
+DOCS="AUTHORS ChangeLog NEWS README TODO THANKS"
+
+pkg_setup() {
+ G2CONF="${G2CONF}
+ --enable-pgp
+ --enable-ssh
+ --enable-pkcs11
+ --disable-scrollkeeper
+ --disable-update-mime-database
+ --enable-hkp
+ $(use_enable avahi sharing)
+ $(use_enable debug)
+ $(use_enable ldap)
+ $(use_enable libnotify)"
+}
+
+pkg_postinst() {
+ einfo "The seahorse-agent tool has been moved to app-crypt/seahorse-plugins"
+ einfo "Use that if you want seahorse to manage your terminal SSH keys"
+}
diff --git a/eclass/gnome2-live.eclass b/eclass/gnome2-live.eclass
index ae587ec..952e230 100644
--- a/eclass/gnome2-live.eclass
+++ b/eclass/gnome2-live.eclass
@@ -21,8 +21,11 @@ DEPEND="${DEPEND}
# Extra options passed to elibtoolize
ELTCONF=${ELTCONF:-}
+# Default module svn path
+MODPATH=${MODPATH:-"${PN}/trunk"}
+
# SVN URI for the project
-ESVN_REPO_URI=${ESVN_REPO_URI:-"http://svn.gnome.org/svn/${PN}/trunk"}
+ESVN_REPO_URI="http://svn.gnome.org/svn/${MODPATH}"
# Unset SRC_URI auto-set by gnome2.eclass
SRC_URI=""